// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.bras;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.bras.Pince;

public class OuvrePince extends CommandBase {
  private Pince pince;
  /** Creates a new OuvrePince. */
  public OuvrePince(Pince pince) {
    this.pince = pince;
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(pince);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    pince.ouvrir();
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {}

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return true;
  }
}
