// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems.bras;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkMaxLowLevel.MotorType;

public class Pivot extends SubsystemBase {

 ShuffleboardTab teb = Shuffleboard.getTab("teb");
  
  // moteur
  private CANSparkMax pivot = new CANSparkMax(Constants.pivot,MotorType.kBrushless);
  private DigitalInput limitpivot = new DigitalInput(Constants.limitpivot);

  // function
  public void monteDescendre(double vitesse) {
    pivot.set (vitesse);
  } 
  public Pivot(){
    teb.addDouble("encodeurpivot",this::distance);
    teb .addBoolean ("limitpivot",this::limitpivot);
  }
  // encodeur
  public double distance(){
    return (pivot.getEncoder().getPosition());
  }
  public void Reset(){
    pivot.getEncoder().setPosition(0);
    
  }
  public boolean limitpivot(){
    return !limitpivot.get();
  }
  @Override
  public void periodic() {
    if(limitpivot())Reset();
  }

  
 



}


