// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Gratte;


public class GratteBaisser extends CommandBase {
  private Gratte gratte;
  /** Creates a new GratteBaisser. */
  public GratteBaisser(Gratte gratte) {
    this.gratte = gratte;
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(gratte);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
 
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(gratte.basd()){
      gratte.bougerd(0);
    }
    else{
      gratte.bougerd(0.3);
    }
    if(gratte.basg()){
      gratte.bougerg(0);
    }
    else{
      gratte.bougerg(0.3);
    }
   

  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    gratte.bougerd(0);
    gratte.bougerg(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
